RANLIB(1)

NAZWA
ranlib - generuje indeks archiwum

SKŁADNIA
ranlib [--plugin nazwa] [-DhHvVt] archiwum

OPIS
ranlib generuje indeks do zawartości archiwum i zachowuje go w archiwum. Indeks wymienia każdy symbol, zdefiniowany przez członków archiwum, którzy są relokowalnymi plikami obiektowymi.

Można użyć nm -s lub nm --print-armap w celu wyświetlenia tego indeksu.

Archiwum z takim indeksem szybciej się linkuje i zezwala procedurom z biblioteki na wzajemne wywoływanie się, bez uwagi na to, w jakiej są kolejności.

The GNU ranlib program is another form of GNU ar; running ranlib is completely equivalent to executing ar -s.

OPCJE

-h
-H
--help
    Wyświetla informacje o składni programu ranlib.

-v
-V
--version
    Wypisuje numer wersji programu ranlib.

-D  Operate in deterministic mode. The symbol map archive member's header will show zero for the UID, GID, and timestamp. When this option is used, multiple runs will produce identical output files.

    Jeśli binutils zostało skonfigurowane z opcją --enable-deterministic-archives, to jest to zachowanie domyślne. Można je wyłączyć za pomocą poniżej opisanej opcji -U.

-t  Aktualizuje znacznik czasowy mapy symboli archiwum.

-U  Do not operate in deterministic mode. This is the inverse of the -D option, above: the archive index will get actual UID, GID, timestamp, and file mode values.

    Jeśli binutils zostało skonfigurowane bez opcji --enable-deterministic-archives, to jest to zachowanie domyślne.

@plik
    Czyta opcje linii poleceń z podanego pliku. Przeczytane opcje są wstawiane w miejsce oryginalnej opcji @plik. Jeśli plik nie istnieje lub nie może być odczytany ta opcja jest traktowana dosłownie i nie jest usuwana.

    Opcje w pliku są rozdzielane białymi znakami. Biały znak może wystąpić w opcji, jeśli cała opcja zostanie ujęta w pojedyncze albo podwójne cudzysłowy. Można dodać dowolny znak (włączając w to znak odwrotnego ukośnika), poprzedzając go znakiem odwrotnego ukośnika. Plik może również zawierać dodatkowe opcje @plik - w takim przypadku każda z takich opcji będzie przetwarzana rekurencyjnie.

ZOBACZ TAKŻE
ar(1), nm(1), oraz wpisy info binutils.

PRAWA AUTORSKIE
Copyright (c) 1991-2024 Free Software Foundation, Inc.

Zezwala się na kopiowanie, rozpowszechnianie i/lub modyfikowanie tego dokumentu na warunkach Licencji Wolnej Dokumentacji GNU (GNU Free Documentation License) w wersji 1.3 lub jakiejkolwiek nowszej wersji opublikowanej przez Fundację Wolnego Oprogramowania, przy czym Sekcjami niezmiennymi są "GNU General Public License" i "GNU Free Documentation License", bez treści przedniej lub tylnej strony okładki. Egzemplarz licencji zamieszczono w sekcji zatytułowanej "GNU Free Documentation License".

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Przemek Borys <pborys@dione.ids.pl> i Robert Luberda <robert@debian.org>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.